#pragma once
#include "JObject_NetSDK.h"
#include "EventHandler.h"
NS_NETSDK_CFG_BEGIN

#define JK_Detect_MotionDetect "Detect.MotionDetect" 
class Detect_MotionDetect: public JObject   //移动侦测
{
public:
	JBoolObj				Enable;				///是否开启
	EventHandler			mEventHandler;		///联动事件
	JIntObj					Level;				///灵敏度	
	JObjArray<JIntHex>		Region;				/// 区域，每一行使用一个二进制串

public:
	Detect_MotionDetect(JObject *pParent = NULL, const char *szName = JK_Detect_MotionDetect):
	JObject(pParent,szName),
	Enable(this, "Enable"),
	mEventHandler(this, "EventHandler"),
	Level(this, "Level"),
	Region(this, "Region"){
	};

	~Detect_MotionDetect(void){};
};

NS_NETSDK_CFG_END